package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.business.dispatch.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author cz
 */
public interface IBusinessDispatchService {

    Page<DeviceDispatchVO> listPage(Page<DeviceDispatchVO> page, DeviceDispatchDTO request);

    void exportSampleDispatchList(DeviceDispatchDTO request, HttpServletResponse response);

    ReturnDTO batchStatusChange(List<DeviceStatusChangeDTO> deviceReceiveDTOList);

    ReturnDTO statusBatchChange(DeviceBatchStatusChangeDTO deviceBatchStatusChangeDTO);

    ReturnDTO forcedTerminate(List<DeviceStatusChangeDTO> deviceReceiveDTO);

    ReturnDTO bindLabel(LabelBindDTO deviceScanDTO) throws Exception;

    ReturnDTO remindWorker(DeviceStatusChangeDTO deviceStatusChangeDTO);
}
